Mailrelay API Reference

Lists WhatsApp sent campaigns

GET https://{account}/api/v1/whatsapp/sent_campaigns

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Lists WhatsApp sent campaigns.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 100.

Parameters

NameTypeRequiredDescription
page integer No Page number
per_page integer No Number of records per page
q[id_eq] integer No Search: ID equals
q[id_gteq] integer No Search: ID greater than or equal to
q[id_lteq] integer No Search: ID less than or equal to
q[status_eq] string No Search: Status equals
q[status_cont] string No Search: Status contains
q[created_at_eq] string No Search: Created at equals
q[created_at_gteq] string No Search: Created at greater than or equal to
q[created_at_lteq] string No Search: Created at less than or equal to
q[scheduled_at_eq] string No Search: Scheduled at equals
q[scheduled_at_gteq] string No Search: Scheduled at greater than or equal to
q[scheduled_at_lteq] string No Search: Scheduled at less than or equal to
q[finished_at_eq] string No Search: Finished at equals
q[finished_at_gteq] string No Search: Finished at greater than or equal to
q[finished_at_lteq] string No Search: Finished at less than or equal to
q[target_eq] string No Search: Target equals
q[target_cont] string No Search: Target contains
q[whatsapp_campaign_id_eq] integer No Search: Whatsapp campaign equals
q[whatsapp_campaign_id_gteq] integer No Search: Whatsapp campaign greater than or equal to
q[whatsapp_campaign_id_lteq] integer No Search: Whatsapp campaign less than or equal to
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "id desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.
403 WhatsApp endpoints require the WhatsApp add-on package or a paid plan.

Response fields

NameTypeDescription
id integer ID
whatsapp_campaign_id integer Whatsapp campaign
whatsapp_template_id integer Whatsapp template
whatsapp_phone_number_id integer Whatsapp phone number
status string Status
target string Target
segment_id integer Segment
group_ids array Group ids
sent_messages_count integer Sent messages count
scheduled_at string Scheduled at
created_at string Created at
updated_at string Updated at
finished_at string Finished at
callback_url string Callback url

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.